## Publications

NAVis has been used in a range of high-profile publications. See below for a (probably incomplete) list. Note that some of these papers will have used NAVis indirectly - e.g. through [pymaid](https://github.com/navis-org/pymaid) or [fafbseg](https://github.com/navis-org/fafbseg-py).

Want to see your work listed here? Open an [Issue](https://github.com/navis-org/navis/issues), start a [Discussion](https://github.com/navis-org/navis/discussions) or open a PR to tell us about it!

## 2023
1. _Interactions between specialized gain control mechanisms in olfactory processing._ Asa Barth-Maron, Isabel D’Alessandro, Rachel I. Wilson, Current Biology (2023); https://doi.org/10.1016/j.cub.2023.10.041

2. _Bisected graph matching improves automated pairing of bilaterally homologous neurons from connectomes._ Benjamin D. Pedigo, Michael Winding, Carey E. Priebe, Joshua T. Vogelstein;  Network Neuroscience (2023); doi: https://doi.org/10.1162/netn_a_00287

3. _Vimo - Visual Analysis of Neuronal Connectivity Motifs_. Troidl, Jakob, Simon Warchol, Jinhan Choi, Jordan Matelsky, Nagaraju Dhanyasi, Xueying Wang, Brock Wester et al., IEEE transactions on visualization and computer graphics (2023).

4. _BIFROST: a method for registering diverse imaging datasets._ Brezovec et al., bioRxiv (2023); doi: https://doi.org/10.1101/2023.06.09.544408

5. _Whole-brain annotation and multi-connectome cell typing quantifies circuit stereotypy in Drosophila._ Philipp Schlegel, Yijie Yin, Alexander S. Bates, Sven Dorkenwald, Katharina Eichler, Paul Brooks, [...] Davi D. Bock, Gregory S.X.E. Jefferis, bioRxiv (2023); doi: https://doi.org/10.1101/2023.06.27.546055

6. _Neuronal wiring diagram of an adult brain._ Dorkenwald S, Matsliah A, [...] Seung HS, Murthy M; FlyWire Consortium, bioRxiv (2023); doi: https://doi.org/10.1101/2023.06.27.546656.

7. _Lineages to circuits: the developmental and evolutionary architecture of information channels into the central complex._ Kandimalla, P., Omoto, J.J., Hong, E.J. et al.,  J Comp Physiol (2023); https://doi.org/10.1007/s00359-023-01616-y

8. _A network-based method for extracting the organization of brain-wide circuits from reconstructed connectome datasets_ K.K.H. Manjunatha, M. Bruzzone, G. Nicoletti, S. Suweis, M. dal Maschio bioRxiv (2023); doi: https://doi.org/10.1101/2023.05.21.541471

9. _Multisensory learning binds modality-specific neurons into a cross-modal memory engram._ Zeynep Okray, Pedro F. Jacob, Ciara Stern, Kieran Desmond, Nils Otto, Paola Vargas-Gutierrez, Scott Waddell, bioRxiv (2022); doi: https://doi.org/10.1101/2022.07.08.499174

10. _Diversity of visual inputs to Kenyon cells of the Drosophila mushroom body._ Ganguly I, Heckman EL, Litwin-Kumar A, Clowney EJ, Behnia R, bioRxiv  (2023); doi: https://doi.org/10.1101/2023.10.12.561793

11. _Synaptic and peptidergic connectomes of the Drosophila circadian clock._ Nils Reinhard, Ayumi Fukuda, Giulia Manoli, Emilia Derksen, Aika Saito, Gabriel Möller, Manabu Sekiguchi, Dirk Rieger, Charlotte Helfrich-Förster, Taishi Yoshii, Meet Zandawala, bioRxiv (2023); doi: https://doi.org/10.1101/2023.09.11.557222

12. _Heterogeneity of synaptic connectivity in the fly visual system._ Jacqueline Cornean, Sebastian Molina-Obando, Burak Gür, Annika Bast, Giordano Ramos-Traslosheros, Jonas Chojetzki, Lena Lörsch, Maria Ioannidou, Rachita Taneja, Christopher Schnaitmann, Marion Silies, bioRxiv (2023); doi: https://doi.org/10.1101/2023.08.29.555204

13. _Hue selectivity from recurrent circuitry in Drosophila._ Matthias P Christenson, Álvaro Sanz Díez, Sarah L Heath, Maia Saavedra-Weisenhaus, Atsuko Adachi, L.F. Abbott, Rudy Behnia, bioRxiv (2023); doi: https://doi.org/10.1101/2023.07.12.548573

## 2022

14. _FlyWire: online community for whole-brain connectomics._ Dorkenwald, S., McKellar, C.E., Macrina, T. et al., Nat Methods (2022). https://doi.org/10.1038/s41592-021-01330-0

15. _Synaptic wiring motifs in posterior parietal cortex support decision-making._ Kuan et al., bioRxiv (2022); doi: https://doi.org/10.1101/2022.04.13.488176

16. _A Survey of Visualization and Analysis in High‐Resolution Connectomics._ Beyer, Johanna, et al., Computer Graphics Forum. (2022); doi: https://doi.org/10.1111/cgf.14574

17. _Eye structure shapes neuron function in Drosophila motion vision._ Arthur Zhao, Eyal Gruntman, Aljoscha Nern, Nirmala A. Iyer, Edward M. Rogers, Sanna Koskela, Igor Siwanowicz, Marisa Dreher, Miriam A. Flynn, Connor W. Laughland, Henrique D.F. Ludwig, Alex G. Thomson, Cullen P. Moran, Bruck Gezahegn, Davi D. Bock, Michael B. Reiser, bioRxiv (2022); doi: https://doi.org/10.1101/2022.12.14.520178

18. _Dendrite architecture determines mitochondrial distribution patterns in vivo._ Eavan J. Donovan, Anamika Agrawal, Nicole Liberman, Jordan I. Kalai, Nicholas J. Chua, Elena F. Koslover, Erin L. Barnhart, bioRxiv (2022); doi: https://doi.org/10.1101/2022.07.01.497972

19. _Structured sampling of olfactory input by the fly mushroom body._ Zhihao Zheng, Feng Li, Corey Fisher, Iqbal J. Ali, Nadiya Sharifi, Steven Calle-Schuler, Joseph Hsu, Najla Masoodpanah, Lucia Kmecova, Tom Kazimiers, Eric Perlman, Matthew Nichols, Peter H. Li, Viren Jain, Davi D. Bock, Current Biology (2022); doi: https://doi.org/10.1016/j.cub.2022.06.031

20. _The connectome of an insect brain._ Winding M, Pedigo BD, Barnes CL, Patsolic HG, Park Y, Kazimiers T, Fushiki A, Andrade IV, Khandelwal A, Valdes-Aleman J, Li F, Randel N, Barsotti E, Correia A, Fetter RD, Hartenstein V, Priebe CE, Vogelstein JT, Cardona A, Zlatic M, Science (2023 ); doi: 10.1126/science.add9330

## 2021
21. _Information flow, cell types and stereotypy in a full olfactory connectome._ Schlegel, Bates et al., eLife (2021); doi: https://doi.org/10.7554/eLife.66018

22. _A sex-specific switch between visual and olfactory inputs underlies adaptive sex differences in behavior._ Nojima T, Rings A, Allen AM, Otto N, Verschut TA, Billeter JC, Neville MC, Goodwin SF. Curr Biol. (2021); doi: https://doi.org/10.1016/j.cub.2020.12.047

23. _A developmental framework linking neurogenesis and circuit formation in the Drosophila CNS._ Brandon Mark, Sen-Lin Lai, Aref Arzan Zarin, Laurina Manning, Ashok Litwin-Kumar, Albert Cardona, James W. Truman, Chris Q. Doe, eLife (2021); doi: https://doi.org/10.7554/eLife.67510

24. _Reconstruction of motor control circuits in adult Drosophila using automated transmission electron microscopy._ Jasper S. Phelps, David Grant Colburn Hildebrand, Brett J. Graham, Aaron T. Kuan, Logan A. Thomas, Tri M. Nguyen, Julia Buhmann, Anthony W. Azevedo, Anne Sustar, Sweta Agrawal, Mingguan Liu, Brendan L. Shanny, Jan Funke, John C. Tuthill, Wei-Chung Allen Lee,
Cell (2021); doi: https://doi.org/10.1016/j.cell.2020.12.013.


## 2020
25. _Complete connectomic reconstruction of olfactory projection neurons in the fly brain._ Bates, Alexander S., et al., Current Biology (2020); doi: https://doi.org/10.1016/j.cub.2020.06.042

26. _Convergence of distinct subpopulations of mechanosensory neurons onto a neural circuit that elicits grooming._ Stefanie Hampel, Katharina Eichler, Daichi Yamada, Hyunsoo Kim, Mihoko Horigome, Romain Franconville, Davi D. Bock, Azusa Kamikouchi, Andrew M. Seeds, bioRxiv (2020); doi: https://doi.org/10.1101/2020.06.08.141341

27. _The Wiring Logic of an Identified Serotonergic Neuron That Spans Sensory Networks._ Kaylynn E. Coates, Steven A. Calle-Schuler, Levi M. Helmick, Victoria L. Knotts, Brennah N. Martik, Farzaan Salman, Lauren T. Warner, Sophia V. Valla, Davi D. Bock, Andrew M. Dacks, Journal of Neuroscience (2020); doi: https://doi.org/10.1523/JNEUROSCI.0552-20.2020

28. _Input Connectivity Reveals Additional Heterogeneity of Dopaminergic Reinforcement in Drosophila._ Nils Otto, Markus W. Pleijzier, Isabel C. Morgan, Amelia J. Edmondson-Stait, Konrad J. Heinz, Ildiko Stark, Georgia Dempsey, Masayoshi Ito, Ishaan Kapoor, Joseph Hsu, Philipp M. Schlegel, Alexander S. Bates, Li Feng, Marta Costa, Kei Ito, Davi D. Bock, Gerald M. Rubin, Gregory S.X.E. Jefferis, Scott Waddell, Current Biology (2020); doi: https://doi.org/10.1016/j.cub.2020.05.077

29. _The Neuroanatomical Ultrastructure and Function of a Biological Ring Attractor._ Turner-Evans DB, Jensen KT, Ali S, Paterson T, Sheridan A, Ray RP, Wolff T, Lauritzen JS, Rubin GM, Bock DD, Jayaraman V.,  Neuron (2020); doi: https://doi.org/10.1016/j.neuron.2020.08.006

30. _Connectomics Analysis Reveals First-, Second-, and Third-Order Thermosensory and Hygrosensory Neurons in the Adult Drosophila Brain._ Marin EC, Büld L, Theiss M, Sarkissian T, Roberts RJV, Turnbull R, Tamimi IFM, Pleijzier MW, Laursen WJ, Drummond N, Schlegel P, Bates AS, Li F, Landgraf M, Costa M, Bock DD, Garrity PA, Jefferis GSXE, Curr Biol. (2020); doi: https://doi.org/10.1016/j.cub.2020.06.028